Bug 1118236 - dnf doesn't seem to support repo_gpgcheck config
dnf doesn't seem to support repo_gpgcheck config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-10 05:21 EDT by lpugoy
Modified: 2014-10-15 13:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-0.6.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-19 12:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
external yum repo (184 bytes, text/plain)
2014-07-10 05:21 EDT, lpugoy
no flags Details

  None (edit)
Description lpugoy 2014-07-10 05:21:36 EDT
Created attachment 917028 [details]
external yum repo

Description of problem:
I am using an external yum repo (attached). Using "yum update" is fine, but running "dnf check-update" shows "Failed to synchronize cache for repo ... GPG signature verification error: Bad GPG signature, disabling." When I remove the repo_gpgcheck line dnf doesn't complain anymore.


Version-Release number of selected component (if applicable):
dnf - 0.4.8
yum - 3.4.3
rpm - 4.11.1


How reproducible:
always


Steps to Reproduce:
1. Add attached file to /etc/yum.repos.d.
2. Run "yum update".
3. Run "dnf check-update".
4. Remove repo_gpgcheck line from /etc/yum.repos.d/insync.repo.
5. Run "dnf check-update".


Actual results:
yum runs fine but dnf shows an error


Expected results:
yum and dnf should run fine


Additional info:
Comment 1 Ales Kozumplik 2014-07-10 09:03:07 EDT
Can you please try with the latest dnf in F20? (dnf-0.5.2 or dnf-0.5.3). thanks.
Comment 2 lpugoy 2014-07-10 10:01:07 EDT
Same behavior.
Comment 3 lpugoy 2014-07-17 00:45:42 EDT
Hi. Is there any update on this issue?
Comment 4 lpugoy 2014-07-24 10:34:11 EDT
Hi. Is there any update on this issue?
Comment 5 Ales Kozumplik 2014-07-25 02:59:03 EDT
Hello, unfortunately not, the DNF team is hard at work at other more pressing issues.
Comment 6 Ales Kozumplik 2014-08-14 03:36:54 EDT
I can reproduce this.
Comment 7 Ales Kozumplik 2014-08-19 12:14:11 EDT
Fixed by a series of upstream patches culminating with 58f471f.
Comment 8 Fedora Update System 2014-09-04 11:49:38 EDT
dnf-0.6.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.1-1.fc21
Comment 9 Fedora Update System 2014-09-23 00:40:24 EDT
dnf-0.6.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Bruce-Robert Pocock 2014-10-15 13:26:17 EDT
@Ales/all — is there any plan to backport these fixes to ƒ20? Still seeing this bug in dnf-0.5.4-2.fc20.x86_64 (same repo as original reporter)

Note You need to log in before you can comment on or make changes to this bug.